#ifndef SSERVICE
#define SSERVICE
#include "sinitializer.h"
#include "sdatagroup.h"

class SService
{
protected:
    SInitializer* m_pSInitializer;
public:
    virtual void setInitiaizer(SInitializer &_initializer) = 0;
    virtual bool uploadData(int _companyNum) = 0;
    virtual bool changeTable(int _companyNum) = 0;
    virtual bool makeCategory(SDatagroup &_datagroup, int _nCategory, const QList<SInitializer::stFilter> &_listFilter) = 0;
    virtual bool makeOverallCategory(int _categoryNum) = 0;
    virtual bool makeTable(SDatagroup &_datagroup) = 0;
};

#endif // SSERVICE

